from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCellSeries(XInterface, Protocol):
    def fillSeries(self, nFillDirection: FillDirection, nFillMode: FillMode, nFillDateMode: FillDateMode, fStep: float, fEndValue: float) -> None: ...
    def fillAuto(self, nFillDirection: FillDirection, nSourceCount: int) -> None: ...
